package com.ruoyi.hezhi.service.impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.hezhi.domain.TbMemberScore;
import com.ruoyi.hezhi.mapper.TbMemberScoreMapper;
import com.ruoyi.hezhi.service.ITbMemberScoreService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * 用户积分详情Service业务层处理
 *
 * @author ruoyi
 * @date 2024-10-31
 */
@Service
public class TbMemberScoreServiceImpl implements ITbMemberScoreService
{
    @Autowired
    private TbMemberScoreMapper tbMemberScoreMapper;

    /**
     * 查询用户积分详情
     *
     * @param memberScoreId 用户积分详情主键
     * @return 用户积分详情
     */
    @Override
    public TbMemberScore selectTbMemberScoreByMemberScoreId(Long memberScoreId)
    {
        return tbMemberScoreMapper.selectTbMemberScoreByMemberScoreId(memberScoreId);
    }

    /**
     * 查询用户积分详情列表
     *
     * @param tbMemberScore 用户积分详情
     * @return 用户积分详情
     */
    @Override
    public List<TbMemberScore> selectTbMemberScoreList(TbMemberScore tbMemberScore)
    {
        return tbMemberScoreMapper.selectTbMemberScoreList(tbMemberScore);
    }

    /**
     * 新增用户积分详情
     *
     * @param tbMemberScore 用户积分详情
     * @return 结果
     */
    @Override
    public int insertTbMemberScore(TbMemberScore tbMemberScore)
    {
        tbMemberScore.setCreateTime(DateUtils.getNowDate());
        return tbMemberScoreMapper.insertTbMemberScore(tbMemberScore);
    }

    /**
     * 修改用户积分详情
     *
     * @param tbMemberScore 用户积分详情
     * @return 结果
     */
    @Override
    public int updateTbMemberScore(TbMemberScore tbMemberScore)
    {
        tbMemberScore.setUpdateTime(DateUtils.getNowDate());
        return tbMemberScoreMapper.updateTbMemberScore(tbMemberScore);
    }

    /**
     * 批量删除用户积分详情
     *
     * @param memberScoreIds 需要删除的用户积分详情主键
     * @return 结果
     */
    @Override
    public int deleteTbMemberScoreByMemberScoreIds(Long[] memberScoreIds)
    {
        return tbMemberScoreMapper.deleteTbMemberScoreByMemberScoreIds(memberScoreIds);
    }

    /**
     * 删除用户积分详情信息
     *
     * @param memberScoreId 用户积分详情主键
     * @return 结果
     */
    @Override
    public int deleteTbMemberScoreByMemberScoreId(Long memberScoreId)
    {
        return tbMemberScoreMapper.deleteTbMemberScoreByMemberScoreId(memberScoreId);
    }

    /**
     * 我的积分列表
     *
     * @param params 参数
     * @return 我的积分列表
     */
    @Override
    public List<Map<String, Object>> getMemberScoreList(Map<String, Object> params) {
        return tbMemberScoreMapper.getMemberScoreList(params);
    }

    /**
     * 我的积分
     *
     * @param params 参数
     * @return 我的积分
     */
    @Override
    public Map<String, Object> getMemberScore(Map<String, Object> params) {
        return tbMemberScoreMapper.getMemberScore(params);
    }
}
